> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# autocomplete

🪙
3 creditsper request

## Copy for AI

🤖 Why Code When AI Can Do It For You?Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.

✨
Copy for AI


## OpenAPI

````yaml /en/google.openapi.json get /v1/google/autocomplete
openapi: 3.0.1
info:
  title: Google API english documentation
  description: >-
    The english reference documentation of the Google API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/google/autocomplete:
    get:
      tags: []
      summary: autocomplete
      parameters:
        - name: q
          in: query
          description: Queryq
          required: true
          example: apple inc
          schema:
            type: string
            example: apple inc
        - name: gl
          in: query
          description: Country
          required: false
          example: us
          schema:
            type: string
            default: us
        - name: hl
          in: query
          description: Language
          required: false
          example: en
          schema:
            type: string
            default: en
            example: zh-cn
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  organic:
                    - title: Apple
                      link: https://www.apple.com/
                      snippet: >-
                        Discover the innovative world of Apple and shop
                        everything iPhone, iPad, Apple Watch, Mac, and Apple TV,
                        plus explore accessories, entertainment, ...
                      sitelinks:
                        - title: Careers at Apple
                          link: https://www.apple.com/careers/us/
                        - title: Store
                          link: https://www.apple.com/store
                        - title: Support
                          link: https://support.apple.com/
                        - title: iPhone
                          link: https://www.apple.com/iphone/
                        - title: Apple Leadership
                          link: https://www.apple.com/leadership/
                      position: 1
                    - title: Apple Inc. - Wikipedia
                      link: https://en.wikipedia.org/wiki/Apple_Inc.
                      snippet: >-
                        Apple Inc. is an American multinational technology
                        company headquartered in Cupertino, California, in
                        Silicon Valley, and known for consumer electronics, ...
                      position: 2
                    - title: >-
                        Apple Inc. (AAPL) Stock Price, News, Quote & History -
                        Yahoo Finance
                      link: https://finance.yahoo.com/quote/AAPL/
                      snippet: >-
                        Find the latest Apple Inc. (AAPL) stock quote, history,
                        news and other vital information to help you with your
                        stock trading and investing.
                      position: 3
                    - title: >-
                        Apple Inc. | History, Products, Headquarters, & Facts -
                        Britannica
                      link: https://www.britannica.com/money/Apple-Inc
                      snippet: >-
                        Apple Inc. is an American multinational technology
                        company that revolutionized the technology sector
                        through its innovation of computer software, personal
                        ...
                      position: 4
                    - title: Apple - LinkedIn
                      link: https://www.linkedin.com/company/apple
                      snippet: >-
                        Company size: 10,001+ employees. Headquarters:
                        Cupertino, California. Type: Public Company. Founded:
                        1976. Specialties: Innovative Product ...
                      date: Jun 5, 2025
                      position: 5
                    - title: Apple Inc - Company Profile and News - Bloomberg Markets
                      link: https://www.bloomberg.com/profile/company/AAPL:US
                      snippet: >-
                        Apple Inc. designs, manufactures, and markets
                        smartphones, personal computers, tablets, wearables and
                        accessories, and sells a variety of related accessories.
                      position: 6
                    - title: Apple Inc | Computer Science | Research Starters - EBSCO
                      link: >-
                        https://www.ebsco.com/research-starters/computer-science/apple-inc
                      snippet: >-
                        Apple Inc. is a leading American technology company
                        known for its innovative consumer electronics, software,
                        and online services.
                      position: 7
                requestId: l5o156j9-ll0n-4g6m-k5oj-o4p236468545
          headers: {}
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '402':
          $ref: '#/components/responses/402'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/google/autocomplete?q=apple+inc&gl=us&hl=en' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/google/autocomplete',
                params={'q': 'apple inc', 'gl': 'us', 'hl': 'en'},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"q": "apple inc", "gl": "us",
            "hl": "en"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/google/autocomplete?${params}`, {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            example:
              code: 400
              data: null
              message: 'Missing required parameter: handle'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            example:
              code: 401
              data: null
              message: apiKey is null
    '402':
      description: Payment Required
      content:
        application/json:
          schema:
            type: object
            example:
              code: 402
              data: null
              message: apiKey quota is not enough
    '429':
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            example:
              code: 429
              data: null
              message: qps limit exceeded
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            example:
              code: 500
              data: null
              message: Internal server error
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.